Search documentation of stripe_elixir

# StripeElixir.Services.TestHelpers.Treasury.InboundTransferService (stripe_elixir v0.1.0)

Copy Markdown View Source

InboundTransfer API operations.

## Summary

### Functions

fail(client, id, params \\ %{}, opts \\ [])

Test mode: Fail an InboundTransfer

return_inbound_transfer(client, id, params \\ %{}, opts \\ [])

Test mode: Return an InboundTransfer

succeed(client, id, params \\ %{}, opts \\ [])

Test mode: Succeed an InboundTransfer

## Functions

# fail(client, id, params \\ %{}, opts \\ [])

    @spec fail(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Test mode: Fail an InboundTransfer

Transitions a test mode created InboundTransfer to the `failed` status. The InboundTransfer must already be in the `processing` state.

# return_inbound_transfer(client, id, params \\ %{}, opts \\ [])

    @spec return_inbound_transfer(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Test mode: Return an InboundTransfer

Marks the test mode InboundTransfer object as returned and links the InboundTransfer to a ReceivedDebit. The InboundTransfer must already be in the `succeeded` state.

# succeed(client, id, params \\ %{}, opts \\ [])

    @spec succeed(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Test mode: Succeed an InboundTransfer

Transitions a test mode created InboundTransfer to the `succeeded` status. The InboundTransfer must already be in the `processing` state.